|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QSettings

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QSettings class reference

### Static Public Members

- void setSystemIniPath ( const QString & dir ) `(obsolete)`
- void setUserIniPath ( const QString & dir ) `(obsolete)`

## Member Function Documentation

### void QSettings::setSystemIniPath ( const QString & dir ) `[static]`

Use setPath() instead.

For example, if you have code like

     setSystemIniPath(path);

you can rewrite it as

     setPath(QSettings::NativeFormat, QSettings::SystemScope, path);
     setPath(QSettings::IniFormat, QSettings::SystemScope, path);

### void QSettings::setUserIniPath ( const QString & dir ) `[static]`

Use setPath() instead.